Bug 18685 - Patron edit/cancel floating toolbar out of place
Summary: Patron edit/cancel floating toolbar out of place
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 18551
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-26 19:30 UTC by Katrin Fischer
Modified: 2017-08-24 13:57 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
screenshot of toolbar (181.72 KB, image/jpeg)
2017-05-26 19:31 UTC, Katrin Fischer
Details
Bug 18685: (bug 18551 follow-up) Fix patron toolbar (2.15 KB, patch)
2017-06-12 14:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18685: (bug 18551 follow-up) Fix patron toolbar (2.20 KB, patch)
2017-06-12 14:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18685: (bug 18551 follow-up) Fix patron toolbar (2.31 KB, patch)
2017-06-12 14:54 UTC, Marc Véron
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-05-26 19:30:06 UTC
When editing a patron, the floating toolbar with the save/cancel buttons is out of place on top of the page before scrolling (see attached screenshot)
Comment 1 Katrin Fischer 2017-05-26 19:31:39 UTC
Created attachment 63755 [details]
screenshot of toolbar

Verified behaviour on 16.11.08 and master.
Comment 2 Marc Véron 2017-05-27 19:02:08 UTC
The original position seems to be defined in  memberentrygen.tt, line 15:
var additional_height = $("#filters").height(); 

Not sure, but I guess that this is a side effect of Bug 18551, because filters now are collapsed.

Setting this bug as dependent of Bug 18551. Please remove dependency if I'm wrong.
Comment 3 Katrin Fischer 2017-06-05 13:56:39 UTC
I have reverted bug 18551 to restore the former behaviour.
Comment 4 Jonathan Druart 2017-06-12 14:41:49 UTC
Created attachment 64205 [details] [review]
Bug 18685: (bug 18551 follow-up) Fix patron toolbar

Bug 18551 moves the way the filters are displayed and so the position of
the patron toolbar must be recalculated.

Test plan:
Edit patron's detail
open the filters, scrolldown
close the filters, scrolldown
=> The toolbar must be correctly placed
Comment 5 Owen Leonard 2017-06-12 14:52:56 UTC
Created attachment 64206 [details] [review]
[SIGNED-OFF] Bug 18685: (bug 18551 follow-up) Fix patron toolbar

Bug 18551 moves the way the filters are displayed and so the position of
the patron toolbar must be recalculated.

Test plan:
Edit patron's detail
open the filters, scrolldown
close the filters, scrolldown
=> The toolbar must be correctly placed

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Marc Véron 2017-06-12 14:54:43 UTC
Created attachment 64207 [details] [review]
Bug 18685: (bug 18551 follow-up) Fix patron toolbar

Bug 18551 moves the way the filters are displayed and so the position of
the patron toolbar must be recalculated.

Test plan:
Edit patron's detail
open the filters, scrolldown
close the filters, scrolldown
=> The toolbar must be correctly placed

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 7 Marc Véron 2017-06-12 15:13:57 UTC
Comment on attachment 64207 [details] [review]
Bug 18685: (bug 18551 follow-up) Fix patron toolbar

Owen was faster - obsoleting my SO patch :-)
Comment 8 Jonathan Druart 2017-06-14 17:12:52 UTC
Skipping QA.
Comment 9 Jonathan Druart 2017-06-14 20:38:21 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 10 Fridolin SOMERS 2017-06-20 08:18:00 UTC
Pushed to 17.05.x, will be in 17.05.01
Comment 11 Katrin Fischer 2017-06-21 06:21:45 UTC
Blocked for 16.11.x by 18551 not applying cleanly.
Comment 12 Katrin Fischer 2017-08-16 21:18:01 UTC
This patch has been pushed to 16.11.x and will be in 16.11.11.
Comment 13 Mason James 2017-08-24 13:57:26 UTC
Pushed to 16.05.x, for 16.05.16 release